import { EmptyAlignType, EmptyDirectionType, EmptySizesType } from './constants';
export declare class GovEmpty {
    private h;
    constructor();
    host: HTMLGovEmptyElement;
    /**
     * Element size.
     */
    readonly size?: EmptySizesType;
    /**
     * Element direction
     */
    readonly direction: EmptyDirectionType;
    /**
     * Element alignment.
     */
    readonly align?: EmptyAlignType;
    validateSize(newValue: string): void;
    componentWillLoad(): void;
    render(): any;
}
